Check if a user owns a validator NFT
GET
/nfts/user/{ethosUserKey}/owns-validator
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.ethos.network/api/v2/nfts/user/example/owns-validator"),};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://api.ethos.network/api/v2/nfts/user/example/owns-validator"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.ethos.network/api/v2/nfts/user/example/owns-validator") .get() .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.ethos.network/api/v2/nfts/user/example/owns-validator'};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.ethos.network/api/v2/nfts/user/example/owns-validator';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use reqwest;
#[tokio::main]pub async fn main() { let url = "https://api.ethos.network/api/v2/nfts/user/example/owns-validator";
let client = reqwest::Client::new(); let response = client.get(url) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request GET \ --url https://api.ethos.network/api/v2/nfts/user/example/owns-validatorwget --quiet \ --method GET \ --output-document \ - https://api.ethos.network/api/v2/nfts/user/example/owns-validatorParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ethosUserKey
required
string
Responses
Section titled “Responses”Successful response
Media typeapplication/json
Array<object>
object
contractAddress
required
string
tokenId
required
string
name
required
string | null
description
required
string | null
imageUrl
required
string | null
thumbnailUrl
required
string | null
animationUrl
required
string | null
animationMime
required
string | null
tokenUri
required
string | null
mintedAt
required
string | null
acquiredAt
required
string | null
lastActivityAt
required
string | null
createdAt
required
string
updatedAt
required
string
NftOwners
required
Array<object>
object
ownerAddress
required
string
collection
required
object
slug
required
string | null
Example generated
[ { "contractAddress": "example", "tokenId": "example", "name": "example", "description": "example", "imageUrl": "example", "thumbnailUrl": "example", "animationUrl": "example", "animationMime": "example", "tokenUri": "example", "attributesJson": "example", "mintedAt": "example", "acquiredAt": "example", "lastActivityAt": "example", "createdAt": "example", "updatedAt": "example", "NftOwners": [ { "ownerAddress": "example" } ], "collection": { "slug": "example" } }]Invalid input data
Media typeapplication/json
Invalid input data error (400)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "BAD_REQUEST", "message": "Invalid input data", "issues": []}Not found
Media typeapplication/json
Not found error (404)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "NOT_FOUND", "message": "Not found", "issues": []}Internal server error
Media typeapplication/json
Internal server error error (500)
The error information
object
message
required
The error message
string
code
required
The error code
string
issues
An array of issues that were responsible for the error
Array<object>
object
message
required
string
Example
{ "code": "INTERNAL_SERVER_ERROR", "message": "Internal server error", "issues": []}